Bug 127859 - Dialog box for editing or deleting appointment does not catch "Yes"/No
Summary: Dialog box for editing or deleting appointment does not catch "Yes"/No
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Reinhold Kainhofer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-23 00:15 UTC by John Tseng
Modified: 2006-11-02 19:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Tseng 2006-05-23 00:15:20 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    Compiled From Sources

A bug exists when trying to delete an invited apppointment.  The dialog box asks for "Yes or No", but checks for "Continue" which is never asserted, so the appointment cannot be deleted.


When the dialog box was changed from "ContinueCancel" to "YesNo", the return code is still checking for Continue when it should have been "KMessageBox::Yes"


[jtseng@jtseng korganizer]$ svn diff -r465292:465293 kogroupware.cpp
Index: kogroupware.cpp
===================================================================
--- kogroupware.cpp     (revision 465292)
+++ kogroupware.cpp     (revision 465293)
@@ -262,7 +262,7 @@
             "Editing it will bring your calendar out of sync "
             "with the organizers calendar. Do you really want "
             "to edit it?" );
-      rc = KMessageBox::warningContinueCancel( parent, txt, QString::null, KStdGuiItem::del() );
+      rc = KMessageBox::warningYesNo( parent, txt );
       return ( rc == KMessageBox::Continue );
     }
   } else {
Comment 1 John Tseng 2006-05-23 00:27:26 UTC
This error exists in the 3.5.2 el3.i386 kde-redhat rpms as well as from a 'konstruct' build.

replacing
  return ( rc == KMessageBox::Continue );
with
  return ( rc == KMessageBox::Yes );
Seems to fix this bug.
Comment 2 Bram Schoenmakers 2006-05-23 14:42:06 UTC
Thanks, but you're *just* too late to have this fixed in KDE 3.5.3. I'll commit it this week, which means KDE 3.5.4 will have it.
Comment 3 Bram Schoenmakers 2006-06-05 14:59:33 UTC
SVN commit 548388 by bram:

Patch from John Tseng, fixing bug 127859
(Dialog box for editing or deleting appointment does not catch "Yes"/No).

BUG:127859



 M  +1 -1      kogroupware.cpp  


--- branches/KDE/3.5/kdepim/korganizer/kogroupware.cpp #548387:548388
@@ -263,7 +263,7 @@
             "with the organizers calendar. Do you really want "
             "to edit it?" );
       rc = KMessageBox::warningYesNo( parent, txt );
-      return ( rc == KMessageBox::Continue );
+      return ( rc == KMessageBox::Yes );
     }
   } else {
     kdWarning(5850) << "Groupware messages for Journals are not implemented yet!" << endl;
Comment 4 Bram Schoenmakers 2006-06-05 15:01:41 UTC
John, I didn't realize I patched it differently, I hope you don't bother.